> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Create Crosstab

> Create a crosstab



## OpenAPI

````yaml post /v2/saved/crosstabs
openapi: 3.0.0
info:
  contact: {}
  description: platform-crosstabs for Public API
  title: platform-crosstabs API
  version: 0.0.1
servers:
  - url: http://api.globalwebindex.com
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/saved/crosstabs:
    post:
      tags:
        - Crosstabs
      summary: v2 Create Crosstab
      description: Create a crosstab
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Project
        description: Project to create
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Project
        '400':
          description: Invalid data in request body
          content:
            application/json:
              schema:
                type: string
        '401':
          description: Auth bearer doesn't have permissions to create for this user
          content:
            application/json:
              schema:
                type: string
        '404':
          description: User with this ID was not found
          content:
            application/json:
              schema:
                type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Project:
      properties:
        bases:
          description: bases (audiences) for this project
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience
          type: array
        columns:
          description: Saved columns in the project.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience
          type: array
        copied_from:
          description: UUID of project this was copied from, may be empty.
          type: string
        country_codes:
          description: List of saved country codes.
          items:
            type: string
          type: array
        folder_id:
          description: FolderID of this project.
          type: string
        metadata:
          allOf:
            - $ref: '#/components/schemas/github_com_volatiletech_null_v8.JSON'
          description: Meta contains exra FE configuration metadata.
        name:
          description: Name of project.
          type: string
        notes:
          description: free-text field which user can enter notes in the UI
          type: string
        rows:
          description: Saved rows in the project.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience
          type: array
        shared:
          description: Project is shared with these users/orgs.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.SharingUser
          type: array
        sharing_note:
          description: >-
            Note attached to the sharing email and in listing of projects, may
            be empty.

            This is different note to the project note.
          type: string
        wave_codes:
          description: List of wave codes.
          items:
            type: string
          type: array
      required:
        - bases
        - columns
        - country_codes
        - name
        - rows
        - wave_codes
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience:
      properties:
        avg:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Average
        dbu:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Dbu
        expression:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
        subtitle:
          type: string
      type: object
    github_com_volatiletech_null_v8.JSON:
      properties:
        json:
          items:
            type: integer
          type: array
        valid:
          type: boolean
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.SharingUser:
      properties:
        email:
          type: string
        error:
          $ref: '#/components/schemas/handler.Error'
        org_id:
          type: integer
        user_id:
          type: integer
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Average:
      properties:
        datapoint:
          type: string
        question:
          type: string
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Dbu:
      properties:
        datapoint:
          type: string
        question:
          type: string
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression:
      properties:
        and:
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression
          type: array
        datapoints:
          items:
            type: string
          type: array
        min_count:
          type: integer
        not:
          type: boolean
        or:
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression
          type: array
        question:
          type: string
        suffixes:
          items:
            type: integer
          type: array
      type: object
    handler.Error:
      properties:
        code:
          description: HTTP status code to be returned.
          type: integer
        err:
          description: Error description (error.Error()).
        message:
          description: Message to the user.
          type: string
        meta:
          additionalProperties: true
          description: Optional application specific data
          type: object
        type:
          allOf:
            - $ref: '#/components/schemas/errors.Type'
          description: Error type - invalid_arguments for example.
      type: object
    errors.Type:
      enum:
        - unknown
      type: string
      x-enum-varnames:
        - UnknownErrorType
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````